---------------------------------------
-- driver (ESD book figure 2.3)		
----------------------------------------

library ieee;
use ieee.std_logic_1164.all;

----------------------------------------

entity Driver is
port(   clk: in std_logic;
        reset: in std_logic;
        z: out std_logic
);
end Driver;  

----------------------------------------

architecture behav of Driver is
begin
    process(clk)
    begin
        if (clk'event and clk='1') then
            z <= '1';
        else
            assert(reset='1')
                severity ERROR;
        end if;
    end process;
end behav;
------------------------------------------
