#!/bin/sh

#Get the tool home directory.
export RETRASCOPE_HOME=$(dirname $0)

#The tool main class.
export RETRASCOPE_JAR_HOME="share/jar"
export RETRASCOPE_JAR=retrascope.jar
export RETRASCOPE_MAIN=ru.ispras.retrascope.Retrascope

#The tool classpath.
export CLASSPATH="$CLASSPATH:${RETRASCOPE_HOME}/bin/classes:${RETRASCOPE_HOME}/share:${RETRASCOPE_HOME}/share/jar/*";

#The JVM arguments.
export VMARGS="-Xmx1424m -Xms768m -Xss4m"

#Run the tool with the command-line arguments.
java -cp $RETRASCOPE_JAR_HOME/$RETRASCOPE_JAR $RETRASCOPE_MAIN $VMARGS $@
